
Efl_Object *_eldbus_model_connection_efl_object_constructor(Eo *obj, Eldbus_Model_Connection_Data *pd);


void _eldbus_model_connection_efl_object_invalidate(Eo *obj, Eldbus_Model_Connection_Data *pd);


Eina_Future *_eldbus_model_connection_efl_model_children_slice_get(Eo *obj, Eldbus_Model_Connection_Data *pd, unsigned int start, unsigned int count);


unsigned int _eldbus_model_connection_efl_model_children_count_get(const Eo *obj, Eldbus_Model_Connection_Data *pd);


static Eina_Bool
_eldbus_model_connection_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef ELDBUS_MODEL_CONNECTION_EXTRA_OPS
#define ELDBUS_MODEL_CONNECTION_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_constructor, _eldbus_model_connection_efl_object_constructor),
      EFL_OBJECT_OP_FUNC(efl_invalidate, _eldbus_model_connection_efl_object_invalidate),
      EFL_OBJECT_OP_FUNC(efl_model_children_slice_get, _eldbus_model_connection_efl_model_children_slice_get),
      EFL_OBJECT_OP_FUNC(efl_model_children_count_get, _eldbus_model_connection_efl_model_children_count_get),
      ELDBUS_MODEL_CONNECTION_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _eldbus_model_connection_class_desc = {
   EO_VERSION,
   "Eldbus.Model.Connection",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Eldbus_Model_Connection_Data),
   _eldbus_model_connection_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(eldbus_model_connection_class_get, &_eldbus_model_connection_class_desc, ELDBUS_MODEL_CLASS, NULL);
